Index: /trunk/ChangeLog
===================================================================
--- /trunk/ChangeLog	(revision 7724)
+++ /trunk/ChangeLog	(revision 7725)
@@ -1,2 +1,11 @@
+2006-05-19	Benjamin Grauerb <bensch@orxonox.net>
+	New Design of the Executor (constant instead of linear time)
+
+2006-05-18	Patrick Boenzli <patrick@orxonox.net>
+	Total redesign of the Collision-Detection Engine.
+
+2006-05-17      Benjamin Grauer <bensch@orxonox.net>
+	Introduced new QT-style Gui.
+
 2006-03-12	orxonox <info@orxonox.net>
 	Mayor switch to std::string (almost complete)
@@ -5,5 +14,5 @@
 	 MoviePlayer
 	 HeightMap
-	 New SpaceShip Helicopter and Hover 
+	 New SpaceShip Helicopter and Hover
 	 PowerUps
 	 Water
Index: /trunk/src/lib/coord/p_node.cc
===================================================================
--- /trunk/src/lib/coord/p_node.cc	(revision 7724)
+++ /trunk/src/lib/coord/p_node.cc	(revision 7725)
@@ -29,7 +29,4 @@
 
 #include "synchronizeable.h"
-
-using namespace std;
-
 
 /**
@@ -595,6 +592,6 @@
 void PNode::removeNode()
 {
-  list<PNode*>::iterator child = this->children.begin();
-  list<PNode*>::iterator reparenter;
+  std::list<PNode*>::iterator child = this->children.begin();
+  std::list<PNode*>::iterator reparenter;
   while (child != this->children.end())
   {
@@ -857,5 +854,5 @@
   if(!this->children.empty() && (this->bActive || this->parentMode & PNODE_UPDATE_CHILDREN_IF_INACTIVE ))
   {
-    list<PNode*>::iterator child;
+    std::list<PNode*>::iterator child;
     for (child = this->children.begin(); child != this->children.end(); child ++)
     {
@@ -888,5 +885,5 @@
 {
   nodes++;
-  list<PNode*>::const_iterator child;
+  std::list<PNode*>::const_iterator child;
   for (child = this->children.begin(); child != this->children.end(); child ++)
     (*child)->countChildNodes(nodes);
@@ -928,5 +925,5 @@
   if (depth >= 2 || depth == 0)
   {
-    list<PNode*>::const_iterator child;
+    std::list<PNode*>::const_iterator child;
     for (child = this->children.begin(); child != this->children.end(); child ++)
     {
@@ -1006,5 +1003,5 @@
     /* rotate the current color in HSV space around 20 degree */
     Vector childColor =  Color::HSVtoRGB(Color::RGBtoHSV(color)+Vector(20,0,.0));
-    list<PNode*>::const_iterator child;
+    std::list<PNode*>::const_iterator child;
     for (child = this->children.begin(); child != this->children.end(); child ++)
     {
@@ -1176,5 +1173,5 @@
   //   int n = children.size();
   //   //check if camera is in children
-  //   for (std::list<PNode*>::const_iterator it = children.begin(); it!=children.end(); it++)
+  //   for (std::std::list<PNode*>::const_iterator it = children.begin(); it!=children.end(); it++)
   //   {
   //     if ( (*it)->isA(CL_CAMERA) )
Index: /trunk/src/lib/coord/p_node.h
===================================================================
--- /trunk/src/lib/coord/p_node.h	(revision 7724)
+++ /trunk/src/lib/coord/p_node.h	(revision 7725)
@@ -178,5 +178,4 @@
   // DEBUG //
   void countChildNodes(int& nodes) const;
-  void debugNodeSC (unsigned int depth = 1, unsigned int level = 0) { this->debugNode(depth, level); };
   void debugNode (unsigned int depth = 1, unsigned int level = 0) const;
   void debugDraw(unsigned int depth = 1, float size = 1.0, const Vector& color = Vector(1, 0, 0), unsigned int level = 0) const;
Index: /trunk/src/lib/shell/some_shell_commands.cc
===================================================================
--- /trunk/src/lib/shell/some_shell_commands.cc	(revision 7724)
+++ /trunk/src/lib/shell/some_shell_commands.cc	(revision 7725)
@@ -17,4 +17,8 @@
  * @file some_shell_commands.cc
  * @brief All the ShellCommands, that should not pollute the SourceCode.
+ *
+ * This File is here, so that we do not have to pollute the Library-files
+ * with unneccessary other modules.
+ * Like this
  */
 
@@ -27,10 +31,10 @@
 
 #include "class_list.h"
-  SHELL_COMMAND_STATIC(debug, ClassList, ClassList::debugS)
+  SHELL_COMMAND(debug, ClassList, ClassList::debugS)
       ->describe("Shows all registered classes, if param1: is a valid ClassName only values of this class are shown. param2: how much output")
       ->defaultValues(MT_NULL, 1);
 
 #include "p_node.h"
-  SHELL_COMMAND(debugNode, PNode, debugNodeSC);
+  SHELL_COMMAND(debugNode, PNode, debugNode);
   SHELL_COMMAND(setPosition, PNode, setAbsCoor);
 
Index: /trunk/src/lib/util/executor/executor.h
===================================================================
--- /trunk/src/lib/util/executor/executor.h	(revision 7724)
+++ /trunk/src/lib/util/executor/executor.h	(revision 7725)
@@ -78,4 +78,6 @@
 
 #include "executor/executor_functional.h"
+#define EXECUTOR_FUNCTIONAL_USE_CONST
+#include "executor/executor_functional.h"
 #define EXECUTOR_FUNCTIONAL_USE_STATIC
 #include "executor/executor_functional.h"
Index: /trunk/src/lib/util/executor/executor_functional.h
===================================================================
--- /trunk/src/lib/util/executor/executor_functional.h	(revision 7724)
+++ /trunk/src/lib/util/executor/executor_functional.h	(revision 7725)
@@ -65,5 +65,4 @@
  #undef __EXECUTOR_FUNCTIONAL_NAME
  #define __EXECUTOR_FUNCTIONAL_NAME(ParamCount) Executor##ParamCount##Params_const
- #undef EXECUTOR_FUNCTIONAL_USE_CONST
 #endif
 
@@ -80,5 +79,4 @@
  #define __EXECUTOR_FUNCTIONAL_FUNCTION_POINTER    *functionPointer
 
-#undef EXECUTOR_FUNCTIONAL_USE_STATIC
 #endif /* EXECUTOR_FUNCTIONAL_USE_STATIC */
 
@@ -426,2 +424,9 @@
 #undef __EXECUTOR_FUNCTIONAL_FUNCTION_EXEC
 #undef __EXECUTOR_FUNCTIONAL_FUNCTION_POINTER
+
+#ifdef EXECUTOR_FUNCTIONAL_USE_CONST
+ #undef EXECUTOR_FUNCTIONAL_USE_CONST
+#endif
+#ifdef EXECUTOR_FUNCTIONAL_USE_STATIC
+ #undef EXECUTOR_FUNCTIONAL_USE_STATIC
+#endif