Index: /trunk/config.h.in
===================================================================
--- /trunk/config.h.in	(revision 7728)
+++ /trunk/config.h.in	(revision 7729)
@@ -2,5 +2,5 @@
 
 /* in which debug mode we are */
-#undef DEBUG
+#undef DEBUG_LEVEL
 
 /* Define to 1 if you have the <avcodec.h> header file. */
Index: /trunk/configure.ac
===================================================================
--- /trunk/configure.ac	(revision 7728)
+++ /trunk/configure.ac	(revision 7729)
@@ -86,32 +86,32 @@
 # DEBUG-statement #
 #-----------------#
-DEBUG=no
+DEBUG_LEVEL=no
 AC_MSG_CHECKING([if DEBUG-mode should be enabled])
 AC_ARG_ENABLE([debug],
         AS_HELP_STRING(--enable-debug,compiles in debug mode. Lots of debug info about the game.),
-         DEBUG=$enableval)
-
-if test x$DEBUG = xno; then
+         DEBUG_LEVEL=$enableval)
+
+if test x$DEBUG_LEVEL = xno; then
         echo "no"
         echo " -> Setting debuglevel to 4. (orxonox is still in Development. It really is needed."
-        DEBUG=4
-elif test x$DEBUG = xyes; then
+        DEBUG_LEVEL=4
+elif test x$DEBUG_LEVEL = xyes; then
         echo "yes"
         echo " -> Setting debuglevel to 4. HARD DEBUG MODE!!."
-        DEBUG=4
+        DEBUG_LEVEL=4
 else
-  if test x$DEBUG = x0 || test x$DEBUG = x1 || test x$DEBUG = x2 || test x$DEBUG = x3 || test x$DEBUG = x4 || test x$DEBUG = x5 ; then
-        echo "yes: setting debuglevel to to $DEBUG"
+  if test x$DEBUG_LEVEL = x0 || test x$DEBUG_LEVEL = x1 || test x$DEBUG_LEVEL = x2 || test x$DEBUG_LEVEL = x3 || test x$DEBUG_LEVEL = x4 || test x$DEBUG_LEVEL = x5 ; then
+        echo "yes: setting debuglevel to to $DEBUG_LEVEL"
   else
-        echo "yes: invalid Value for Debug ($DEBUG). setting to 4(DEBUG)"
-        DEBUG=4
+        echo "yes: invalid Value for Debug ($DEBUG_LEVEL). setting to 4(DEBUG)"
+        DEBUG_LEVEL=4
   fi
 fi
 
-if test $DEBUD > 3 ; then
+if test $DEBUD_LEVEL > 3 ; then
   CPPFLAGS="${CPPFLAGS} -g"
 fi
-AC_DEFINE_UNQUOTED(DEBUG, $DEBUG, [in which debug mode we are])
-AC_SUBST(DEBUG)
+AC_DEFINE_UNQUOTED(DEBUG_LEVEL, ${DEBUG_LEVEL}, [in which debug mode we are])
+AC_SUBST(DEBUG_LEVEL)
 
 #---------------#
Index: /trunk/src/defs/debug.h
===================================================================
--- /trunk/src/defs/debug.h	(revision 7728)
+++ /trunk/src/defs/debug.h	(revision 7729)
@@ -35,10 +35,10 @@
 
 // DEFINE ERROR MODES
-#define NO              0
-#define ERR             1
-#define WARN            2
-#define INFO            3
-#define DEBUG           4
-#define vDEBUG          5
+#define ORX_NONE            0
+#define ORX_ERR             1
+#define ORX_WARN            2
+#define ORX_INFO            3
+#define ORX_DEBUG           4
+#define ORX_vDEBUG          5
 
 extern int verbose;
@@ -46,5 +46,5 @@
 //definitions
 #ifndef MODULAR_DEBUG
- #define HARD_DEBUG_LEVEL DEBUG
+ #define HARD_DEBUG_LEVEL ORX_DEBUG
  #define SOFT_DEBUG_LEVEL verbose
 #else /* MODULAR_DEBUG */
@@ -103,12 +103,12 @@
 /// PRINTF: prints with filename and linenumber ///
 ///////////////////////////////////////////////////
-#define PRINTFNO      PRINTF0
-#define PRINTFERR     PRINTF1
-#define PRINTFWARN    PRINTF2
-#define PRINTFINFO    PRINTF3
-#define PRINTFDEBUG   PRINTF4
-#define PRINTFVDEBUG  PRINTF5
-
-#if DEBUG <= 3
+#define PRINTFORX_NONE    PRINTF0
+#define PRINTFORX_ERR     PRINTF1
+#define PRINTFORX_WARN    PRINTF2
+#define PRINTFORX_INFO    PRINTF3
+#define PRINTFORX_DEBUG   PRINTF4
+#define PRINTFORX_VDEBUG  PRINTF5
+
+#if DEBUG_LEVEL <= 3
 #define PRINTF(x)        PRINT(x)
 #endif
@@ -122,52 +122,52 @@
 
 #ifndef PRINTF
-#ifdef DEBUG
+#ifdef ORX_DEBUG
 
 #define PRINTF(x) \
            PRINTF ## x
 
-#if HARD_DEBUG_LEVEL >= ERR
+#if HARD_DEBUG_LEVEL >= ORX_ERR
 #define PRINTF1 \
-    if (SOFT_DEBUG_LEVEL >= ERR) \
+    if (SOFT_DEBUG_LEVEL >= ORX_ERR) \
       printf("(EE)::%s:%d:", __FILE__, __LINE__) && PRINT_EXEC
 #else
-#define PRINTF1 if (NO)
-#endif
-
-#if HARD_DEBUG_LEVEL >= WARN
+#define PRINTF1 if (ORX_NONE)
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_WARN
 #define PRINTF2 \
-     if (SOFT_DEBUG_LEVEL >= WARN) \
+     if (SOFT_DEBUG_LEVEL >= ORX_WARN) \
        printf("(WW)::%s:%d:", __FILE__, __LINE__) && PRINT_EXEC
 
 #else
-#define PRINTF2 if (NO)
-#endif
-
-#if HARD_DEBUG_LEVEL >= INFO
+#define PRINTF2 if (ORX_NONE)
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_INFO
 #define PRINTF3 \
-     if (SOFT_DEBUG_LEVEL >= INFO) \
+     if (SOFT_DEBUG_LEVEL >= ORX_INFO) \
        printf("(II)::%s:%d:", __FILE__, __LINE__) && PRINT_EXEC
 #else
-#define PRINTF3 if (NO)
-#endif
-
-#if HARD_DEBUG_LEVEL >= DEBUG
+#define PRINTF3 if (ORX_NONE)
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_DEBUG
 #define PRINTF4 \
-     if (SOFT_DEBUG_LEVEL >= DEBUG) \
+     if (SOFT_DEBUG_LEVEL >= ORX_DEBUG) \
        printf("(DD)::%s:%d:", __FILE__, __LINE__) && PRINT_EXEC
 #else
-#define PRINTF4 if (NO)
-#endif
-
-#if HARD_DEBUG_LEVEL >= vDEBUG
+#define PRINTF4 if (ORX_NONE)
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_vDEBUG
 #define PRINTF5 \
-     if (SOFT_DEBUG_LEVEL >= vDEBUG) \
+     if (SOFT_DEBUG_LEVEL >= ORX_vDEBUG) \
        printf("(VD)::%s:%d:", __FILE__, __LINE__) && PRINT_EXEC
 #else
-#define PRINTF5 if (NO)
-#endif
-
-#else
-#define PRINTF(x) if (NO)
+#define PRINTF5 if (ORX_NONE)
+#endif
+
+#else
+#define PRINTF(x) if (ORX_NONE)
 #endif
 
@@ -179,59 +179,59 @@
 ///  PRINT: just prints output as is            ///
 ///////////////////////////////////////////////////
-#define PRINTNO      PRINT0
-#define PRINTERR     PRINT1
-#define PRINTWARN    PRINT2
-#define PRINTINFO    PRINT3
-#define PRINTDEBUG   PRINT4
-#define PRINTVDEBUG  PRINT5
-
-#ifdef  DEBUG
+#define PRINTORX_NONE    PRINT0
+#define PRINTORX_ERR     PRINT1
+#define PRINTORX_WARN    PRINT2
+#define PRINTORX_INFO    PRINT3
+#define PRINTORX_DEBUG   PRINT4
+#define PRINTORX_vDEBUG  PRINT5
+
+#ifdef  DEBUG_LEVEL
 #define PRINT(x) \
   PRINT ## x
 
-#if HARD_DEBUG_LEVEL >= ERR
+#if HARD_DEBUG_LEVEL >= ORX_ERR
 #define PRINT1  \
-  if (SOFT_DEBUG_LEVEL >= ERR)  \
+  if (SOFT_DEBUG_LEVEL >= ORX_ERR)  \
     PRINT_EXEC
 #else
-#define PRINT1 if (NO)
-#endif
-
-#if HARD_DEBUG_LEVEL >= WARN
+#define PRINT1 if (ORX_NONE)
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_WARN
 #define PRINT2 \
-  if (SOFT_DEBUG_LEVEL >= WARN) \
+  if (SOFT_DEBUG_LEVEL >= ORX_WARN) \
     PRINT_EXEC
 
 #else
-#define PRINT2 if (NO)
-#endif
-
-#if HARD_DEBUG_LEVEL >= INFO
+#define PRINT2 if (ORX_NONE)
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_INFO
 #define PRINT3 \
-  if (SOFT_DEBUG_LEVEL >= INFO) \
+  if (SOFT_DEBUG_LEVEL >= ORX_INFO) \
     PRINT_EXEC
 #else
-#define PRINT3 if (NO)
-#endif
-
-#if HARD_DEBUG_LEVEL >= DEBUG
+#define PRINT3 if (ORX_NONE)
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_DEBUG
 #define PRINT4 \
-  if (SOFT_DEBUG_LEVEL >= DEBUG) \
+  if (SOFT_DEBUG_LEVEL >= ORX_DEBUG) \
     PRINT_EXEC
 #else
-#define PRINT4 if (NO)
-#endif
-
-#if HARD_DEBUG_LEVEL >= vDEBUG
+#define PRINT4 if (ORX_NONE)
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_vDEBUG
 #define PRINT5 \
-     if (SOFT_DEBUG_LEVEL >= vDEBUG) \
+     if (SOFT_DEBUG_LEVEL >= ORX_vDEBUG) \
        PRINT_EXEC
 #else
-#define PRINT5 if (NO)
-#endif
-
-
-#else
-#define PRINT(x) if (NO)
+#define PRINT5 if (ORX_NONE)
+#endif
+
+
+#else
+#define PRINT(x) if (ORX_NONE)
 #endif
 
@@ -244,64 +244,64 @@
 ///  COUT: just prints output as is with std::cout   ///
 ////////////////////////////////////////////////////////
-#define COUTNO      COUT0
-#define COUTERR     COUT1
-#define COUTWARN    COUT2
-#define COUTINFO    COUT3
-#define COUTDEBUG   COUT4
-#define COUTVDEBUG  COUT5
-
-#ifdef  DEBUG
+#define COUTORX_NONE    COUT0
+#define COUTORX_ERR     COUT1
+#define COUTORX_WARN    COUT2
+#define COUTORX_INFO    COUT3
+#define COUTORX_DEBUG   COUT4
+#define COUTORX_vDEBUG  COUT5
+
+#ifdef  DEBUG_LEVEL
 #define COUT(x) \
   COUT ## x
 
-#if HARD_DEBUG_LEVEL >= ERR
+#if HARD_DEBUG_LEVEL >= ORX_ERR
 #define COUT1  \
-  if (SOFT_DEBUG_LEVEL >= ERR)  \
-    COUT_EXEC
-#else
-#define COUT1 if (NO)\
-    COUT_EXEC
-#endif
-
-#if HARD_DEBUG_LEVEL >= WARN
+  if (SOFT_DEBUG_LEVEL >= ORX_ERR)  \
+    COUT_EXEC
+#else
+#define COUT1 if (ORX_NONE)\
+    COUT_EXEC
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_WARN
 #define COUT2 \
-  if (SOFT_DEBUG_LEVEL >= WARN) \
-    COUT_EXEC
-
-#else
-#define COUT2 if (NO) \
-    COUT_EXEC
-#endif
-
-#if HARD_DEBUG_LEVEL >= INFO
+  if (SOFT_DEBUG_LEVEL >= ORX_WARN) \
+    COUT_EXEC
+
+#else
+#define COUT2 if (ORX_NONE) \
+    COUT_EXEC
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_INFO
 #define COUT3 \
-  if (SOFT_DEBUG_LEVEL >= INFO) \
-    COUT_EXEC
-#else
-#define COUT3 if (NO) \
-    COUT_EXEC
-#endif
-
-#if HARD_DEBUG_LEVEL >= DEBUG
+  if (SOFT_DEBUG_LEVEL >= ORX_INFO) \
+    COUT_EXEC
+#else
+#define COUT3 if (ORX_NONE) \
+    COUT_EXEC
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_DEBUG
 #define COUT4 \
-  if (SOFT_DEBUG_LEVEL >= DEBUG) \
-    COUT_EXEC
-#else
-#define COUT4 if (NO) \
-    COUT_EXEC
-#endif
-
-#if HARD_DEBUG_LEVEL >= vDEBUG
+  if (SOFT_DEBUG_LEVEL >= ORX_DEBUG) \
+    COUT_EXEC
+#else
+#define COUT4 if (ORX_NONE) \
+    COUT_EXEC
+#endif
+
+#if HARD_DEBUG_LEVEL >= ORX_vDEBUG
 #define COUT5 \
-     if (SOFT_DEBUG_LEVEL >= vDEBUG) \
+     if (SOFT_DEBUG_LEVEL >= ORX_vDEBUG) \
        COUT_EXEC
 #else
-#define COUT5 if (NO) \
-    COUT_EXEC
-#endif
-
-
-#else
-#define COUT(x) if (NO) \
+#define COUT5 if (ORX_NONE) \
+    COUT_EXEC
+#endif
+
+
+#else
+#define COUT(x) if (ORX_NONE) \
     COUT_EXEC
 #endif
Index: /trunk/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- /trunk/src/lib/graphics/importer/primitive_model.cc	(revision 7728)
+++ /trunk/src/lib/graphics/importer/primitive_model.cc	(revision 7729)
@@ -34,5 +34,5 @@
 {
   switch (type)
-    {
+  {
     default:
     case PRIM_CUBE:
@@ -51,5 +51,5 @@
       this->planeModel(size, detail);
       break;
-    }
+  }
   this->finalize();
 }
@@ -79,21 +79,21 @@
   // defining the Vertices
   for (float i = 0; i < df *2.0; i+=1.0)
-    {
-      float vi = i/df * PI;
-      for (float j = -df / 2.0 +1.0; j <= df / 2.0; j+=1.0 *df/(df+1.0))
-        {
-          float vj = j/df *PI;
-          this->addVertexNormal(cos(vi) * cos(vj),
-                                sin(vj),
-                                sin(vi) * cos(vj));
-
-          this->addVertex(size * cos(vi) * cos(vj),
-                          size * sin(vj),
-                          size * sin(vi) * cos(vj));
-
-          this->addVertexTexture( i / (df *2.0),
-                                 (j-1.0)/(df)+.5);
-        }
-    }
+  {
+    float vi = i/df * PI;
+    for (float j = -df / 2.0 +1.0; j <= df / 2.0; j+=1.0 *df/(df+1.0))
+    {
+      float vj = j/df *PI;
+      this->addVertexNormal(cos(vi) * cos(vj),
+                            sin(vj),
+                            sin(vi) * cos(vj));
+
+      this->addVertex(size * cos(vi) * cos(vj),
+                      size * sin(vj),
+                      size * sin(vi) * cos(vj));
+
+      this->addVertexTexture( i / (df *2.0),
+                              (j-1.0)/(df)+.5);
+    }
+  }
   this->addVertex(0, -size, 0);
   this->addVertexNormal(0, -1, 0);
@@ -106,36 +106,36 @@
   unsigned int v1, v2, v3, v4;
   for (int i = 0; i <= detail * 2 -1; i++)
-    {
-      for (int j = 0; j <= detail; j++)
-        {
-
-          v1 = i*detail + j-1;
-          v4 = i*detail + j;
-
-          if (i == detail*2 -1)
-            {
-              v2 = j-1;
-              v3 = j;
-            }
-          else
-            {
-              v2 = (i+1)*detail + j-1;
-              v3 = (i+1)*detail + j;
-            }
-
-          if (j == 0)
-            {
-              v1 = this->getVertexCount() - 2;
-              this->addFace(3, VERTEX_TEXCOORD_NORMAL, v1, v1, v1, v3, v3, v3, v4, v4, v4);
-            }
-          else if (j == detail)
-            {
-              v3 = this->getVertexCount()-1;
-              this->addFace(3, VERTEX_TEXCOORD_NORMAL, v1, v1, v1, v2, v2, v2, v3, v3, v3);
-            }
-          else
-            this->addFace(4, VERTEX_TEXCOORD_NORMAL, v1, v1, v1, v2, v2, v2, v3, v3, v3, v4, v4, v4);
-        }
-    }
+  {
+    for (int j = 0; j <= detail; j++)
+    {
+
+      v1 = i*detail + j-1;
+      v4 = i*detail + j;
+
+      if (i == detail*2 -1)
+      {
+        v2 = j-1;
+        v3 = j;
+      }
+      else
+      {
+        v2 = (i+1)*detail + j-1;
+        v3 = (i+1)*detail + j;
+      }
+
+      if (j == 0)
+      {
+        v1 = this->getVertexCount() - 2;
+        this->addFace(3, VERTEX_TEXCOORD_NORMAL, v1, v1, v1, v3, v3, v3, v4, v4, v4);
+      }
+      else if (j == detail)
+      {
+        v3 = this->getVertexCount()-1;
+        this->addFace(3, VERTEX_TEXCOORD_NORMAL, v1, v1, v1, v2, v2, v2, v3, v3, v3);
+      }
+      else
+        this->addFace(4, VERTEX_TEXCOORD_NORMAL, v1, v1, v1, v2, v2, v2, v3, v3, v3, v4, v4, v4);
+    }
+  }
 }
 /**
@@ -150,28 +150,29 @@
   // defining Points of the Cylinder.
   for (float phi = 0.0; phi < 2.0*PI; phi += 2.0*PI/(float)detail)
-    {
-      this->addVertex(size*cos(phi), size*sin(phi), -size);
-      this->addVertex(size*cos(phi), size*sin(phi), size);
-      count ++;
-    }
+  {
+    this->addVertex(size*cos(phi), size*sin(phi), -size);
+    this->addVertex(size*cos(phi), size*sin(phi), size);
+    count ++;
+  }
   this->addVertex(0, 0, -size);
   this->addVertex(0, 0, size);
 
   if (count != detail)
+  {
     PRINTF(1)("calculation error, count should be %d but is %d.\n", detail, count);
-
+  }
   // adding Faces
   for (int i = 0; i < detail-1; i++)
-    {
-      int p1, p2, p3, p4;
-      p1 = 2*i;
-      p2 = 2*i+1;
-      p3 = 2*i+3;
-      p4 = 2*i+2;
-      // something is wrong here
-      this->addFace(4, VERTEX_ONLY, p1, p2, p3, p4);
-      this->addFace(3, VERTEX_ONLY, p4, p1, 2*detail);
-      this->addFace(3, VERTEX_ONLY, p2, p3, 2*detail+1);
-    }
+  {
+    int p1, p2, p3, p4;
+    p1 = 2*i;
+    p2 = 2*i+1;
+    p3 = 2*i+3;
+    p4 = 2*i+2;
+    // something is wrong here
+    this->addFace(4, VERTEX_ONLY, p1, p2, p3, p4);
+    this->addFace(3, VERTEX_ONLY, p4, p1, 2*detail);
+    this->addFace(3, VERTEX_ONLY, p2, p3, 2*detail+1);
+  }
   // caps
   this->addFace(4, VERTEX_ONLY, 2*detail-2, 2*detail-1, 1, 0);
@@ -195,23 +196,23 @@
   // defining the Vertices
   for (float i = 0; i < df; i+=1.0)
-    {
-      float vi = i/df *2.0*PI;
-      this->addVertex(size* sin(vi),
-                      -size,
-                      size* cos(vi));
-    }
+  {
+    float vi = i/df *2.0*PI;
+    this->addVertex(size* sin(vi),
+                    -size,
+                    size* cos(vi));
+  }
 
   //defining Faces
   for (int i = 0; i < detail; i++)
-    {
-      unsigned int v1, v2;
-      v1 = i+2;
-      if (i == detail -1)
-        v2 = 2;
-      else
-        v2 = i+3;
-      this->addFace(3, VERTEX_ONLY, 0, v1, v2);
-      this->addFace(3, VERTEX_ONLY, 1, v1, v2);
-    }
+  {
+    unsigned int v1, v2;
+    v1 = i+2;
+    if (i == detail -1)
+      v2 = 2;
+    else
+      v2 = i+3;
+    this->addFace(3, VERTEX_ONLY, 0, v1, v2);
+    this->addFace(3, VERTEX_ONLY, 1, v1, v2);
+  }
 }
 
@@ -226,21 +227,21 @@
   for (int i = 0; i < detail; i++)
     for (int j = 0; j < detail; j++)
-      {
-        this->addVertex(((float)i/(float)(detail-1) -.5)*size,
-                        0,
-                        ((float)j/(float)(detail-1) -.5)*size);
-        this->addVertexTexture((float)i/(float)(detail-1),
-                               (float)j/(float)(detail-1));
-      }
+    {
+      this->addVertex(((float)i/(float)(detail-1) -.5)*size,
+                      0,
+                      ((float)j/(float)(detail-1) -.5)*size);
+      this->addVertexTexture((float)i/(float)(detail-1),
+                             (float)j/(float)(detail-1));
+    }
   //defining Faces
   unsigned int v1, v2, v3, v4;
   for (int i = 0; i < detail-1; i++)
     for (int j = 0; j < detail-1; j++)
-      {
-        v1 = i*detail + j;
-        v2 = (i+1)*detail + j;
-        v3 = (i+1)*detail + (j+1);
-        v4 = i*detail + (j+1);
-        this->addFace(4, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
-      }
-}
+    {
+      v1 = i*detail + j;
+      v2 = (i+1)*detail + j;
+      v3 = (i+1)*detail + (j+1);
+      v4 = i*detail + (j+1);
+      this->addFace(4, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
+    }
+}
Index: /trunk/src/lib/gui/gtk_gui/gui_exec.cc
===================================================================
--- /trunk/src/lib/gui/gtk_gui/gui_exec.cc	(revision 7728)
+++ /trunk/src/lib/gui/gtk_gui/gui_exec.cc	(revision 7729)
@@ -76,17 +76,17 @@
 #ifdef DEBUG
       verboseMode = new Menu(CONFIG_NAME_VERBOSE_MODE, "nothing",
-#if DEBUG >=1
+#if DEBUG_LEVEL >=1
                              "error",
 #endif
-#if DEBUG >=2
+#if DEBUG_LEVEL >=2
                              "warning",
 #endif
-#if DEBUG >=3
+#if DEBUG_LEVEL >=3
                              "info",
 #endif
-#if DEBUG >=4
+#if DEBUG_LEVEL >=4
                              "debug",
 #endif
-#if DEBUG >=5
+#if DEBUG_LEVEL >=5
                              "heavydebug",
 #endif
@@ -95,17 +95,17 @@
       verboseMode->setDescription("Sets the Output Mode", "This Enables Outbug messages\n"
                                   "0: nothing will be displayed, but stuff one cannot do without (eg.GUI)\n"
-#if DEBUG >=1
+#if DEBUG_LEVEL >=1
                                   "1: error: outputs all the above and errors"
 #endif
-#if DEBUG >=2
+#if DEBUG_LEVEL >=2
                                   "2: warning: outputs all the above plus warnings"
 #endif
-#if DEBUG >=3
+#if DEBUG_LEVEL >=3
                                   "3: info: outputs all the above plus Information"
 #endif
-#if DEBUG >=4
+#if DEBUG_LEVEL >=4
                                   "4: debug: displays all the above plus debug information"
 #endif
-#if DEBUG >=5
+#if DEBUG_LEVEL >=5
                                   "5: heavydebug: displays all the above plus heavy debug information: WARNING: the game will run very slow with this."
 #endif
Index: /trunk/src/lib/parser/ini_parser/ini_parser.cc
===================================================================
--- /trunk/src/lib/parser/ini_parser/ini_parser.cc	(revision 7728)
+++ /trunk/src/lib/parser/ini_parser/ini_parser.cc	(revision 7729)
@@ -28,8 +28,9 @@
 #endif
 
-#ifdef DEBUG
+#ifdef DEBUG_LEVEL
  #include "../../../defs/debug.h"
 #else
  #define PRINTF(x) printf
+ #define PRINT(x) printf
 #endif
 
Index: /trunk/src/lib/shell/shell_buffer.cc
===================================================================
--- /trunk/src/lib/shell/shell_buffer.cc	(revision 7728)
+++ /trunk/src/lib/shell/shell_buffer.cc	(revision 7729)
@@ -103,9 +103,9 @@
 
     SDL_mutexP(ShellBuffer::bufferMutex);
-#if DEBUG < 3
+#if DEBUG_LEVEL < 3
     if (ShellBuffer::singletonRef == NULL)
 #endif
       vprintf(line, arguments);
-#if DEBUG < 3
+#if DEBUG_LEVEL < 3
     else
 #else
@@ -180,5 +180,5 @@
 
   /**
-   * displays some nice output from the Shell
+   * @brief displays some nice output from the Shell
    */
   void ShellBuffer::debug() const
Index: /trunk/src/lib/shell/shell_input.cc
===================================================================
--- /trunk/src/lib/shell/shell_input.cc	(revision 7728)
+++ /trunk/src/lib/shell/shell_input.cc	(revision 7729)
@@ -44,5 +44,5 @@
 
     this->inputLine = "";
-    this->historyIT = this->history.begin();
+    this->historyIT = ShellInput::history.begin();
     this->setHistoryLength(50);
     this->historyScrolling = false;
@@ -65,9 +65,11 @@
   }
 
+  std::list<std::string> ShellInput::history;
+
   /**
    * @brief standard deconstructor
    */
   ShellInput::~ShellInput ()
-{}
+  {}
 
   /**
@@ -173,5 +175,6 @@
 
     // adding the new Command to the History
-    this->history.push_back(this->inputLine);
+    if (history.back() != this->inputLine)
+      this->history.push_back(this->inputLine);
     if (this->history.size() > this->historyLength)
     {
Index: /trunk/src/lib/shell/shell_input.h
===================================================================
--- /trunk/src/lib/shell/shell_input.h	(revision 7728)
+++ /trunk/src/lib/shell/shell_input.h	(revision 7729)
@@ -69,5 +69,5 @@
     Uint16                            pressedKey;       //!< the pressed key that will be repeated.
 
-    std::list<std::string>            history;          //!< The history of given commands.
+    static std::list<std::string>     history;          //!< The history of given commands.
     std::list<std::string>::iterator  historyIT;        //!< The locator that tells us, where we are in the history.
     unsigned int                      historyLength;    //!< The maximum length of the InputHistory.
Index: /trunk/src/lib/sound/ogg_player.cc
===================================================================
--- /trunk/src/lib/sound/ogg_player.cc	(revision 7728)
+++ /trunk/src/lib/sound/ogg_player.cc	(revision 7729)
@@ -290,9 +290,9 @@
 
     alSourceQueueBuffers(this->source, 2, this->buffers);
-    if (DEBUG >= 3)
+    if (DEBUG_LEVEL >= 3)
       SoundEngine::checkError("OggPlayer::playback()::alSourceQueueBuffers", __LINE__);
 
     alSourcePlay(this->source);
-    if (DEBUG >= 3)
+    if (DEBUG_LEVEL >= 3)
       SoundEngine::checkError("OggPlayer::playback()::alSourcePlay", __LINE__);
     SDL_mutexV(this->musicMutex);
@@ -329,5 +329,5 @@
 
     alGetSourcei(source, AL_BUFFERS_PROCESSED, &processed);
-    if (DEBUG >= 3)
+    if (DEBUG_LEVEL >= 3)
       SoundEngine::checkError("OggPlayer::update()::alGetSourceI", __LINE__);
 
@@ -337,5 +337,5 @@
 
       alSourceUnqueueBuffers(source, 1, &buffer);
-      if (DEBUG >= 3)
+      if (DEBUG_LEVEL >= 3)
         SoundEngine::checkError("OggPlayer::update()::unqueue", __LINE__);
 
@@ -343,5 +343,5 @@
 
       alSourceQueueBuffers(source, 1, &buffer);
-      if (DEBUG >= 3)
+      if (DEBUG_LEVEL >= 3)
         SoundEngine::checkError("OggPlayer::update()::queue", __LINE__);
     }
@@ -380,5 +380,5 @@
 
     alBufferData(buffer, format, pcm, size, vorbisInfo->rate);
-    if (DEBUG >= 3)
+    if (DEBUG_LEVEL >= 3)
       SoundEngine::checkError("OggPlayer::stream()::BUFFER", __LINE__);
 
@@ -448,5 +448,5 @@
 
   /////////////////////
-  // DEBUG FUNCTIONS //
+  // DEBUG_LEVEL FUNCTIONS //
   /////////////////////
   /**
Index: /trunk/src/lib/sound/sound_engine.cc
===================================================================
--- /trunk/src/lib/sound/sound_engine.cc	(revision 7728)
+++ /trunk/src/lib/sound/sound_engine.cc	(revision 7729)
@@ -223,5 +223,5 @@
           int play = 0x000;
           alGetSourcei(source->getID(), AL_SOURCE_STATE, &play);
-          if (DEBUG > 2)
+          if (DEBUG_LEVEL > 2)
             SoundEngine::checkError("SoundEngine::update() Play", __LINE__);
           if(play == AL_PLAYING)
@@ -233,5 +233,5 @@
                          source->getNode()->getAbsCoor().y,
                          source->getNode()->getAbsCoor().z);
-              if (DEBUG > 2)
+              if (DEBUG_LEVEL > 2)
                 SoundEngine::checkError("SoundEngine::update() Set Source Position", __LINE__);
               alSource3f(source->getID(), AL_VELOCITY,
@@ -239,5 +239,5 @@
                          source->getNode()->getVelocity().y,
                          source->getNode()->getVelocity().z);
-              if (DEBUG > 2)
+              if (DEBUG_LEVEL > 2)
                 SoundEngine::checkError("SoundEngine::update() Set Source Velocity", __LINE__);
             }
Index: /trunk/src/lib/sound/sound_source.cc
===================================================================
--- /trunk/src/lib/sound/sound_source.cc	(revision 7728)
+++ /trunk/src/lib/sound/sound_source.cc	(revision 7729)
@@ -124,5 +124,5 @@
       alSourcePlay(this->sourceID);
 
-      if (DEBUG >= 3)
+      if (DEBUG_LEVEL >= 3)
         SoundEngine::checkError("Play Source", __LINE__);
       this->bPlay = true;
@@ -151,5 +151,5 @@
     this->bPlay = true;
 
-    if (DEBUG >= 3)
+    if (DEBUG_LEVEL >= 3)
       SoundEngine::checkError("Play Source", __LINE__);
   }
@@ -165,5 +165,5 @@
     {
       alSourceStop(this->sourceID);
-      if (DEBUG >= 3)
+      if (DEBUG_LEVEL >= 3)
         SoundEngine::checkError("StopSource", __LINE__);
       alSourcei(this->sourceID, AL_BUFFER, 0);
@@ -181,5 +181,5 @@
   {
     alSourcePause(this->sourceID);
-    if (DEBUG >= 3)
+    if (DEBUG_LEVEL >= 3)
       SoundEngine::checkError("Pause Source", __LINE__);
   }
@@ -193,5 +193,5 @@
     alSourceRewind(this->sourceID);
 
-    if (DEBUG >= 3)
+    if (DEBUG_LEVEL >= 3)
       SoundEngine::checkError("Rewind Source", __LINE__);
   }
@@ -208,5 +208,5 @@
     alSourcef(this->sourceID, AL_ROLLOFF_FACTOR, rolloffFactor);
 
-    if (DEBUG >= 3)
+    if (DEBUG_LEVEL >= 3)
       SoundEngine::checkError("Set Source Rolloff-factor", __LINE__);
   }
Index: /trunk/src/orxonox.cc
===================================================================
--- /trunk/src/orxonox.cc	(revision 7728)
+++ /trunk/src/orxonox.cc	(revision 7729)
@@ -507,5 +507,5 @@
   if (showGui || (!File("./orxonox.conf").isFile() &&
                   !File(DEFAULT_CONFIG_FILE).isFile())
-#if DEBUG < 3 // developers do not need to see the GUI, when orxonox fails
+#if DEBUG_LEVEL <= 3 // developers do not need to see the GUI, when orxonox fails
       || ResourceManager::isFile(DEFAULT_LOCK_FILE)
 #endif
Index: /trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- /trunk/src/world_entities/weapons/weapon.cc	(revision 7728)
+++ /trunk/src/world_entities/weapons/weapon.cc	(revision 7729)
@@ -396,5 +396,5 @@
 bool Weapon::execute()
 {
-#if DEBUG > 4
+#if DEBUG_LEVEL > 4
   PRINTF(4)("trying to execute action %s\n", actionToChar(this->requestedAction));
   this->debug();