Index: code/trunk/data/gui/schemes/OrxonoxLook.scheme
===================================================================
--- code/trunk/data/gui/schemes/OrxonoxLook.scheme	(revision 7734)
+++ code/trunk/data/gui/schemes/OrxonoxLook.scheme	(revision 7734)
@@ -0,0 +1,53 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="OrxonoxLook">
+	<Imageset Name="OrxonoxLook" Filename="OrxonoxLook.imageset" />
+	<LookNFeel Filename="OrxonoxLook.looknfeel" />
+	<WindowRendererSet Filename="CEGUIFalagardWRBase" />
+
+    <!-- Standard widgets -->
+    <FalagardMapping WindowType="OrxonoxLook/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="OrxonoxLook/StaticImage" />
+    <FalagardMapping WindowType="OrxonoxLook/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="OrxonoxLook/StaticText" />
+    <FalagardMapping WindowType="OrxonoxLook/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/TabButtonPane" />
+    <FalagardMapping WindowType="OrxonoxLook/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/TabContentPane" />
+    <FalagardMapping WindowType="OrxonoxLook/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="OrxonoxLook/Checkbox" />
+    <FalagardMapping WindowType="OrxonoxLook/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/Combobox" />
+    <FalagardMapping WindowType="OrxonoxLook/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="OrxonoxLook/ComboDropList" />
+    <FalagardMapping WindowType="OrxonoxLook/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="OrxonoxLook/ComboEditbox" />
+    <FalagardMapping WindowType="OrxonoxLook/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="OrxonoxLook/Editbox" />
+    <FalagardMapping WindowType="OrxonoxLook/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="OrxonoxLook/FrameWindow" />
+    <FalagardMapping WindowType="OrxonoxLook/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/GroupBox" />
+    <FalagardMapping WindowType="OrxonoxLook/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="OrxonoxLook/ItemListbox" />
+    <FalagardMapping WindowType="OrxonoxLook/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="OrxonoxLook/ListboxItem" />
+    <FalagardMapping WindowType="OrxonoxLook/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="OrxonoxLook/Listbox" />
+    <FalagardMapping WindowType="OrxonoxLook/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="OrxonoxLook/ListHeader" />
+    <FalagardMapping WindowType="OrxonoxLook/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="OrxonoxLook/ListHeaderSegment" />
+    <FalagardMapping WindowType="OrxonoxLook/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="OrxonoxLook/MultiLineEditbox" />
+    <FalagardMapping WindowType="OrxonoxLook/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="OrxonoxLook/Menubar" />
+    <FalagardMapping WindowType="OrxonoxLook/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="OrxonoxLook/MenuItem" />
+    <FalagardMapping WindowType="OrxonoxLook/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="OrxonoxLook/MultiColumnList" />
+    <FalagardMapping WindowType="OrxonoxLook/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="OrxonoxLook/PopupMenu" />
+    <FalagardMapping WindowType="OrxonoxLook/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/ProgressBar" />
+    <FalagardMapping WindowType="OrxonoxLook/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/Button" />
+    <FalagardMapping WindowType="OrxonoxLook/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/ImageButton" />
+    <FalagardMapping WindowType="OrxonoxLook/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="OrxonoxLook/RadioButton" />
+    <FalagardMapping WindowType="OrxonoxLook/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="OrxonoxLook/Button" />
+    <FalagardMapping WindowType="OrxonoxLook/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="OrxonoxLook/ScrollablePane" />
+    <FalagardMapping WindowType="OrxonoxLook/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/HorizontalScrollbar" />
+    <FalagardMapping WindowType="OrxonoxLook/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/VerticalScrollbar" />
+    <FalagardMapping WindowType="OrxonoxLook/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="OrxonoxLook/Slider" />
+    <FalagardMapping WindowType="OrxonoxLook/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/Spinner" />
+    <FalagardMapping WindowType="OrxonoxLook/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="OrxonoxLook/TabButton" />
+    <FalagardMapping WindowType="OrxonoxLook/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="OrxonoxLook/TabControl" />
+    <FalagardMapping WindowType="OrxonoxLook/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="OrxonoxLook/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/SliderThumb" />
+    <FalagardMapping WindowType="OrxonoxLook/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="OrxonoxLook/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="OrxonoxLook/Titlebar" />
+    <FalagardMapping WindowType="OrxonoxLook/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="OrxonoxLook/Tooltip" />
+    <FalagardMapping WindowType="OrxonoxLook/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="OrxonoxLook/Tree" />
+    
+    <!-- Additional widgets -->
+    <FalagardMapping WindowType="OrxonoxLook/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/AltProgressBar" />
+    <FalagardMapping WindowType="OrxonoxLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/VUMeter" />
+    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/LargeVerticalScrollbar" />
+    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+</GUIScheme>
Index: code/trunk/data/gui/schemes/OrxonoxLookHUDWidgets.scheme
===================================================================
--- code/trunk/data/gui/schemes/OrxonoxLookHUDWidgets.scheme	(revision 7734)
+++ code/trunk/data/gui/schemes/OrxonoxLookHUDWidgets.scheme	(revision 7734)
@@ -0,0 +1,42 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="OrxonoxLookHUDWidgets">
+    <WindowAlias Alias="HUDWidgets/StaticImage"              Target="OrxonoxLook/StaticImage" />
+    <WindowAlias Alias="HUDWidgets/StaticText"               Target="OrxonoxLook/StaticText" />
+    <WindowAlias Alias="HUDWidgets/TabButtonPane"            Target="OrxonoxLook/TabButtonPane" />
+    <WindowAlias Alias="HUDWidgets/TabContentPane"           Target="OrxonoxLook/TabContentPane" />
+    <WindowAlias Alias="HUDWidgets/Checkbox"                 Target="OrxonoxLook/Checkbox" />
+    <WindowAlias Alias="HUDWidgets/Combobox"                 Target="OrxonoxLook/Combobox" />
+    <WindowAlias Alias="HUDWidgets/ComboDropList"            Target="OrxonoxLook/ComboDropList" />
+    <WindowAlias Alias="HUDWidgets/ComboEditbox"             Target="OrxonoxLook/ComboEditbox" />
+    <WindowAlias Alias="HUDWidgets/Editbox"                  Target="OrxonoxLook/Editbox" />
+    <WindowAlias Alias="HUDWidgets/FrameWindow"              Target="OrxonoxLook/FrameWindow" />
+    <WindowAlias Alias="HUDWidgets/GroupBox"                 Target="OrxonoxLook/GroupBox" />
+    <WindowAlias Alias="HUDWidgets/ItemListbox"              Target="OrxonoxLook/ItemListbox" />
+    <WindowAlias Alias="HUDWidgets/ListboxItem"              Target="OrxonoxLook/ListboxItem" />
+    <WindowAlias Alias="HUDWidgets/Listbox"                  Target="OrxonoxLook/Listbox" />
+    <WindowAlias Alias="HUDWidgets/ListHeader"               Target="OrxonoxLook/ListHeader" />
+    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"        Target="OrxonoxLook/ListHeaderSegment" />
+    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"         Target="OrxonoxLook/MultiLineEditbox" />
+    <WindowAlias Alias="HUDWidgets/Menubar"                  Target="OrxonoxLook/Menubar" />
+    <WindowAlias Alias="HUDWidgets/MenuItem"                 Target="OrxonoxLook/MenuItem" />
+    <WindowAlias Alias="HUDWidgets/MultiColumnList"          Target="OrxonoxLook/MultiColumnList" />
+    <WindowAlias Alias="HUDWidgets/PopupMenu"                Target="OrxonoxLook/PopupMenu" />
+    <WindowAlias Alias="HUDWidgets/ProgressBar"              Target="OrxonoxLook/ProgressBar" />
+    <WindowAlias Alias="HUDWidgets/Button"                   Target="OrxonoxLook/Button" />
+    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="OrxonoxLook/ImageButton" />
+    <WindowAlias Alias="HUDWidgets/RadioButton"              Target="OrxonoxLook/RadioButton" />
+    <WindowAlias Alias="HUDWidgets/SystemButton"             Target="OrxonoxLook/SystemButton" />
+    <WindowAlias Alias="HUDWidgets/ScrollablePane"           Target="OrxonoxLook/ScrollablePane" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"      Target="OrxonoxLook/HorizontalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"        Target="OrxonoxLook/VerticalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/Slider"                   Target="OrxonoxLook/Slider" />
+    <WindowAlias Alias="HUDWidgets/Spinner"                  Target="OrxonoxLook/Spinner" />
+    <WindowAlias Alias="HUDWidgets/TabButton"                Target="OrxonoxLook/TabButton" />
+    <WindowAlias Alias="HUDWidgets/TabControl"               Target="OrxonoxLook/TabControl" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb" Target="OrxonoxLook/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/SliderThumb"              Target="OrxonoxLook/SliderThumb" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"   Target="OrxonoxLook/VerticalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/Titlebar"                 Target="OrxonoxLook/Titlebar" />
+    <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
+    <WindowAlias Alias="HUDWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+</GUIScheme>
Index: code/trunk/data/gui/schemes/OrxonoxLookMenuWidgets.scheme
===================================================================
--- code/trunk/data/gui/schemes/OrxonoxLookMenuWidgets.scheme	(revision 7734)
+++ code/trunk/data/gui/schemes/OrxonoxLookMenuWidgets.scheme	(revision 7734)
@@ -0,0 +1,42 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="OrxonoxLookMenuWidgets">
+    <WindowAlias Alias="MenuWidgets/StaticImage"              Target="OrxonoxLook/StaticImage" />
+    <WindowAlias Alias="MenuWidgets/StaticText"               Target="OrxonoxLook/StaticText" />
+    <WindowAlias Alias="MenuWidgets/TabButtonPane"            Target="OrxonoxLook/TabButtonPane" />
+    <WindowAlias Alias="MenuWidgets/TabContentPane"           Target="OrxonoxLook/TabContentPane" />
+    <WindowAlias Alias="MenuWidgets/Checkbox"                 Target="OrxonoxLook/Checkbox" />
+    <WindowAlias Alias="MenuWidgets/Combobox"                 Target="OrxonoxLook/Combobox" />
+    <WindowAlias Alias="MenuWidgets/ComboDropList"            Target="OrxonoxLook/ComboDropList" />
+    <WindowAlias Alias="MenuWidgets/ComboEditbox"             Target="OrxonoxLook/ComboEditbox" />
+    <WindowAlias Alias="MenuWidgets/Editbox"                  Target="OrxonoxLook/Editbox" />
+    <WindowAlias Alias="MenuWidgets/FrameWindow"              Target="OrxonoxLook/FrameWindow" />
+    <WindowAlias Alias="MenuWidgets/GroupBox"                 Target="OrxonoxLook/GroupBox" />
+    <WindowAlias Alias="MenuWidgets/ItemListbox"              Target="OrxonoxLook/ItemListbox" />
+    <WindowAlias Alias="MenuWidgets/ListboxItem"              Target="OrxonoxLook/ListboxItem" />
+    <WindowAlias Alias="MenuWidgets/Listbox"                  Target="OrxonoxLook/Listbox" />
+    <WindowAlias Alias="MenuWidgets/ListHeader"               Target="OrxonoxLook/ListHeader" />
+    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"        Target="OrxonoxLook/ListHeaderSegment" />
+    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"         Target="OrxonoxLook/MultiLineEditbox" />
+    <WindowAlias Alias="MenuWidgets/Menubar"                  Target="OrxonoxLook/Menubar" />
+    <WindowAlias Alias="MenuWidgets/MenuItem"                 Target="OrxonoxLook/MenuItem" />
+    <WindowAlias Alias="MenuWidgets/MultiColumnList"          Target="OrxonoxLook/MultiColumnList" />
+    <WindowAlias Alias="MenuWidgets/PopupMenu"                Target="OrxonoxLook/PopupMenu" />
+    <WindowAlias Alias="MenuWidgets/ProgressBar"              Target="OrxonoxLook/ProgressBar" />
+    <WindowAlias Alias="MenuWidgets/Button"                   Target="OrxonoxLook/Button" />
+    <WindowAlias Alias="MenuWidgets/ImageButton"              Target="OrxonoxLook/ImageButton" />
+    <WindowAlias Alias="MenuWidgets/RadioButton"              Target="OrxonoxLook/RadioButton" />
+    <WindowAlias Alias="MenuWidgets/SystemButton"             Target="OrxonoxLook/SystemButton" />
+    <WindowAlias Alias="MenuWidgets/ScrollablePane"           Target="OrxonoxLook/ScrollablePane" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"      Target="OrxonoxLook/HorizontalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"        Target="OrxonoxLook/VerticalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/Slider"                   Target="OrxonoxLook/Slider" />
+    <WindowAlias Alias="MenuWidgets/Spinner"                  Target="OrxonoxLook/Spinner" />
+    <WindowAlias Alias="MenuWidgets/TabButton"                Target="OrxonoxLook/TabButton" />
+    <WindowAlias Alias="MenuWidgets/TabControl"               Target="OrxonoxLook/TabControl" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb" Target="OrxonoxLook/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/SliderThumb"              Target="OrxonoxLook/SliderThumb" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"   Target="OrxonoxLook/VerticalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/Titlebar"                 Target="OrxonoxLook/Titlebar" />
+    <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
+    <WindowAlias Alias="MenuWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+</GUIScheme>
Index: code/trunk/data/gui/scripts/InitialiseGUI.lua
===================================================================
--- code/trunk/data/gui/scripts/InitialiseGUI.lua	(revision 7733)
+++ code/trunk/data/gui/scripts/InitialiseGUI.lua	(revision 7734)
@@ -7,4 +7,5 @@
 -- Load all required skins
 schemeMgr:loadScheme("TaharezGreenLook.scheme")
+--schemeMgr:loadScheme("OrxonoxLook.scheme")
 --schemeMgr:loadScheme("TaharezLook.scheme")
 --schemeMgr:loadScheme("WindowsLook.scheme")
@@ -19,4 +20,8 @@
 schemeMgr:loadScheme("TaharezGreenHUDWidgets.scheme")
 hudImageSet = "TaharezGreenLook"
+--schemeMgr:loadScheme("OrxonoxLookMenuWidgets.scheme")
+--menuImageSet = "OrxonoxLook"
+--schemeMgr:loadScheme("OrxonoxLookHUDWidgets.scheme")
+--hudImageSet = "OrxonoxLook"
 
 -- Just a remaining test hack